/* ══════════════════════════════════════════════════ *
 * MARK: 1. Repeater Content
 * ────────────────────────────────────────────────── */
.cvh--rep-inner .cvh--rep-ctn-link,
.cvh--rep-ctn-link > div,
.cvh--rep-ctn-link > div.cvh--rep-ctn-bg-img-wrap img {
	max-height: 100%;
	height: 100%;
	max-width: 100%;
	width: 100%;
}

.cvh--rep-ctn-link > div.cvh--rep-ctn-bg-img-wrap img {
	object-fit: cover;
	object-position: 50% 33%;
}

.cvh--rep-ctn-overlay {
	display: flex;
	position: relative;
	z-index: 20;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;

	padding: var(--cvh-space-s);	
	transform: translateY(calc(100% - 1.5 * (var(--text-l) + var(--cvh-space-s) + var(--cvh-space-m))));
	transition: transform var(--cvh-transition-normal);
}

.cvh--rep-ctn-overlay::before {
	content: '\0A';
	display: block;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: -10;
	background-color: var(--primary-ultra-light);
	opacity: 1;
	transition: var(--cvh-transition-normal);
}

.cvh--rep-ctn-overlay-text {
	margin-bottom:var(--cvh-space-m) ;
}

.cvh--rep-ctn-link:is(:hover, :focus-visible, :focus-within) .cvh--rep-ctn-overlay {
	transform: translateY(0);
}


/* ══════════════════════════════════════════════════ *
 * MARK: 2. Button
 * ────────────────────────────────────────────────── */
.cvh--rep-ctn-link:focus div.cvh--button {
	background-color: var(--primary);
}


/* ══════════════════════════════════════════════════ *
 * MARK: 3. Media Queries
 * ────────────────────────────────────────────────── */
@media screen and (width >= 992px) {
	.cvh--rep-ctn-link:is(:hover, :focus-visible, :focus-within) .cvh--rep-ctn-overlay::before {
		background-color: hsl(226deg, 68%, 97.5%);
		opacity: 0.85;
	}
}

@media screen and (width < 992px) {
	.cvh--rep-ctn-link > div {
		height: max-content;
	}

	.cvh--rep-ctn-link > div.cvh--rep-ctn-bg-img-wrap img {
		max-height: 15rem;
		min-height: 10rem;
		height: 20vh;
	}
	
	.cvh--rep-ctn-overlay {
		transform: none;
		transition: none;
	}
}

/* ══════════════════════════════════════════════════ *
 * MARK: 4. Preview Mode
 * ────────────────────────────────────────────────── */
.wp-block-meta-box-cvh-ela-application[data-preview-mode] .cvh--rep-inner {
	max-height: 215px;
	overflow: clip;
}